Skip to main content
PATCH
Update Mcp Tool Configuration Override

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

mcp_server_id
string
required

ID of the MCP Server.

tool_name
string
required

Name of the MCP tool to update config overrides for.

Body

application/json

Tool configuration override details to update.

pre_tool_speech
enum<string> | null

If set, overrides the server's pre_tool_speech setting for this tool.

Available options:
auto,
force,
off
interruption_mode
enum<string> | null
default:allow

If set, overrides the server's interruption_mode setting for this tool.

Available options:
allow,
disable_during_tool,
disable_during_tool_and_turn
tool_call_sound

Predefined tool call sound types.

Available options:
typing,
elevator1,
elevator2,
elevator3,
elevator4
tool_call_sound_behavior
enum<string> | null

If set, overrides the server's tool_call_sound_behavior setting for this tool

Available options:
auto,
always
execution_mode
enum<string> | null

If set, overrides the server's execution_mode setting for this tool

Available options:
immediate,
post_tool_speech,
async
response_timeout_secs
integer | null

If set, overrides the server's response timeout for this MCP tool.

Required range: 5 <= x <= 300
assignments
DynamicVariableAssignment · object[] | null

Dynamic variable assignments for this MCP tool

input_overrides
Input Overrides · object | null

Mapping of json path to input override configuration

response_mocks
ToolResponseMockConfig · object[] | null

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.

Response

Successful Response

Response model representing an MCP Server configuration.

id
string
required
config
MCPServerConfig · object
required
metadata
MCPServerMetadataResponseModel · object
required

The metadata of the MCP Server

access_info
ResourceAccessInfo · object | null

The access information of the MCP Server

Example:
dependent_agents
(DependentAvailableAgentIdentifier · object | DependentUnknownAgentIdentifier · object)[]

List of agents that depend on this MCP Server.